System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 To be added System.Collections.CollectionBase System.Collections.Generic.IEnumerable<System.Xml.Schema.XmlSchema> To be added

Represents the collection of XML schemas.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added

  Adds an object to the end of the collection.

  The index at which the is added.

  The object to be added to the collection of objects.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Adds an instance of the class to the end of the collection.

  The object to be added to the end of the collection.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` To be added.

  Adds an object that represents an assembly reference to the collection.

  The index at which the is added.

  The to add. The of the schema object.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Adds an object that represents an assembly reference to the collection.

  The to add.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The following list identifies situations in which the method is called:

  By the class while creating objects from classes that are identified as Web services.

  By the Wsdl.exe tool or the class, while generating client proxy classes or abstract server classes from a Web Services Description Language (WSDL) document.

  By the Xsd.exe tool while generating XML schemas from types found in assemblies.

  Instead of calling the method directly, use the previously mentioned classes or tools.

  Processes the element and attribute names in the XML schemas and, optionally, validates the XML schemas.

  A that specifies the callback method that handles errors and warnings during XML Schema validation, if the strict parameter is set to true. true to validate the XML schemas in the collection using the method of the class; otherwise, false.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Returns a value that indicates whether the collection contains an object that belongs to the specified namespace.

  true if the item is found; otherwise, false.

  The namespace of the item to check for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Determines whether the contains a specific schema.

  true, if the collection contains the specified item; otherwise, false.

  The object to locate.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Copies the entire to a compatible one-dimensional , which starts at the specified index of the target array.

  The one-dimensional that is the destination of the schemas copied from . The must have zero-based indexing. A 32-bit integer that represents the index in the array where copying begins.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` To be added

  Locates in one of the XML schemas an of the specified name and type.

  An instance, such as an or .

  An that specifies a fully qualified name with a namespace used to locate an object in the collection. The of the object to find. Possible types include: , , , , and .
- Method
  2.0.0.0
  4.0.0.0
  System.Collections.IList ``

  The method returns an .

  Gets a collection of schemas that belong to the same namespace.

  An implementation that contains the schemas.

  The namespace of the schemas to retrieve.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added

  Searches for the specified schema and returns the zero-based index of the first occurrence within the entire .

  The zero-based index of the first occurrence of the value within the entire , if found; otherwise, -1.

  The to locate.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Inserts a schema into the at the specified index.

  The zero-based index at which should be inserted. The object to be inserted.
- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  You can compile the schemas referenced in a object by invoking the method.

  Gets a value that indicates whether the schemas have been compiled.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The IsDataSet attribute comes from the namespace urn:schemas-microsoft-com:xml-msdata.

  The method is called by the .NET Framework's XML serialization infrastructure and does not need to be called directly.

  Static method that determines whether the specified XML schema contains a custom IsDataSet attribute set to true, or its equivalent.

  true if the specified schema exists; otherwise, false.

  The XML schema to check for an IsDataSet attribute with a true value.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Schema.XmlSchema `` To be added: an object of type 'int' To be added To be added: an object of type 'System.Xml.Schema.XmlSchema' To be added
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Schema.XmlSchema `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void To be added.

  Performs additional custom processes when clearing the contents of the instance.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Performs additional custom processes before inserting a new element into the instance.

  The zero-based index at which to insert . The new value of the element at .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Performs additional custom processes when removing an element from the instance.

  The zero-based index at which can be found. The value of the element to remove at .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added.

  Performs additional custom processes before setting a value in the instance.

  The zero-based index at which can be found. The value to replace with . The new value of the element at .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Removes the first occurrence of a specific schema from the .

  The to remove.
- Method
  2.0.0.0
  4.0.0.0
  System.Collections.Generic.IEnumerator<System.Xml.Schema.XmlSchema> To be added. To be added. To be added.